#!/bin/bash
#
# hark-ros hark-ros-stacksを削除してから行うこと（エラーが発生する）
#
# hark-ros に対して debuildを行う
# 本来のdebuildは、環境変数を削除してしまうので
# このスクリプトにより、hark-rosに必要な環境変数を付加している
# configureやmakefileの中で、明示的に環境変数を設定しても、debuildのサブプロセスである限り無効である。
# ROS_PACKAGE_PATHは、環境により適宜設定を行うする必要がある。

ROS_ROOT=/opt/ros/diamondback/ros
PATH=${ROS_ROOT}/bin:${PATH}
PYTHONPATH=${ROS_ROOT}/core/roslib/src:${PYTHONPATH}
ROS_PACKAGE_PATH=/opt/ros/diamondback/stacks

# --preserve-envvar PAHT \
debuild \
 -e ROS_ROOT=${ROS_ROOT}\
 -e PATH=${ROS_ROOT}/bin:${PATH} \
 -e PYTHONPATH=${ROS_ROOT}/core/roslib/src:${PYTHONPATH} \
 -e ROS_PACKAGE_PATH=/opt/ros/diamondback/stacks:`pwd`/hark_turtlebot_fdnetworks:`pwd`/hark_turtlebot_follower
